Sign inGet started

List lists

GET
/workspaces/{workspaceId}/lists
This endpoint will return a list of contact lists from your workspace.
Parametry ścieżki
workspaceId
string
The unique identifier of the workspace.
Treść odpowiedzi
results
array of object
Pokaż atrybuty podrzędne
results.id
string
wymagane
The unique identifier for the list.
results.name
string
wymagane
The name of the list.
results.description
string
wymagane
The description of the list.
results.createdAt
string
results.updatedAt
string
results.contactCount
integer
The number of contacts in the list.
results.consentType
string
The consent type for the list.
Possible values: single, double
results.tags
array of string
The tags associated with the list.
results.isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
results.counter
object
Pokaż atrybuty podrzędne
results.counter.count
integer
wymagane
results.counter.updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/lists' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd

List your lists

In this example, we are listing lists from a given workspace.
Przykład kodu
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"